INSERT INTO USER_FERIA2.PRODUCTOS (ID_PRODUCTO, NOMBRE, PESO, VOLUMEN) VALUES(SEQ_API_PRODUCTO.NEXTVAL, 'PERA', 0.5, 5);
INSERT INTO USER_FERIA2.PRODUCTOS (ID_PRODUCTO, NOMBRE, PESO, VOLUMEN) VALUES(SEQ_API_PRODUCTO.NEXTVAL, 'PALTA', 1, 10);
INSERT INTO USER_FERIA2.PRODUCTOS (ID_PRODUCTO, NOMBRE, PESO, VOLUMEN) VALUES(SEQ_API_PRODUCTO.NEXTVAL, 'FRUTILLA', 2, 2);
INSERT INTO USER_FERIA2.PRODUCTOS (ID_PRODUCTO, NOMBRE, PESO, VOLUMEN) VALUES(SEQ_API_PRODUCTO.NEXTVAL, 'PLATANO', 3, 3);
INSERT INTO USER_FERIA2.PRODUCTOS (ID_PRODUCTO, NOMBRE, PESO, VOLUMEN) VALUES(SEQ_API_PRODUCTO.NEXTVAL, 'NARANJA', 3, 3);
INSERT INTO USER_FERIA2.PRODUCTOS (ID_PRODUCTO, NOMBRE, PESO, VOLUMEN) VALUES(SEQ_API_PRODUCTO.NEXTVAL, 'LECHUGA', 3, 3);

INSERT INTO USER_FERIA2.PERFIL_USUARIOS (ID_PERFIL_USUARIO, DESCRIPCION, NOMBRE) VALUES(SEQ_API_PERFIL_USUARIO.NEXTVAL, 'admin', 'ADMIN');
INSERT INTO USER_FERIA2.PERFIL_USUARIOS (ID_PERFIL_USUARIO, DESCRIPCION, NOMBRE) VALUES(SEQ_API_PERFIL_USUARIO.NEXTVAL, 'comprador', 'USURAIO_COMPRADOR');
INSERT INTO USER_FERIA2.PERFIL_USUARIOS (ID_PERFIL_USUARIO, DESCRIPCION, NOMBRE) VALUES(SEQ_API_PERFIL_USUARIO.NEXTVAL, 'vendedor', 'USURAIO_VENDEDOR');
INSERT INTO USER_FERIA2.PERFIL_USUARIOS (ID_PERFIL_USUARIO, DESCRIPCION, NOMBRE) VALUES(SEQ_API_PERFIL_USUARIO.NEXTVAL, 'transportista', 'USURAIO_TRANSPORTISTA');
INSERT INTO USER_FERIA2.PERFIL_USUARIOS (ID_PERFIL_USUARIO, DESCRIPCION, NOMBRE) VALUES(SEQ_API_PERFIL_USUARIO.NEXTVAL, 'consultor', 'USURAIO_CONSULTOR');
INSERT INTO USER_FERIA2.PERFIL_USUARIOS (ID_PERFIL_USUARIO, DESCRIPCION, NOMBRE) VALUES(SEQ_API_PERFIL_USUARIO.NEXTVAL, 'comprador interno', 'USURAIO_COMPRADOR_INTERNO');
INSERT INTO USER_FERIA2.PERFIL_USUARIOS (ID_PERFIL_USUARIO, DESCRIPCION, NOMBRE) VALUES(SEQ_API_PERFIL_USUARIO.NEXTVAL, 'comprador externo', 'USURAIO_VENDEDOR_EXTERNO');

INSERT INTO USER_FERIA2.USUARIOS (ID_USUARIO, CONTRASENA, EMAIL, NOMBRE_USUARIO, TELEFONO, ID_CONTRATO, ID_PERFIL_USUARIO, ACTIVO) VALUES(SEQ_API_USUARIO.NEXTVAL, '123456', 'feriavirtualportafolio@gmail.com', 'comprador_uno', 951515151 , null, 2, 1);
INSERT INTO USER_FERIA2.USUARIOS (ID_USUARIO, CONTRASENA, EMAIL, NOMBRE_USUARIO, TELEFONO, ID_CONTRATO, ID_PERFIL_USUARIO, ACTIVO) VALUES(SEQ_API_USUARIO.NEXTVAL, '123456', 'feriavirtualportafolio@gmail.com', 'productor_uno', 912121212 , null, 3, 1);
INSERT INTO USER_FERIA2.USUARIOS (ID_USUARIO, CONTRASENA, EMAIL, NOMBRE_USUARIO, TELEFONO, ID_CONTRATO, ID_PERFIL_USUARIO, ACTIVO) VALUES(SEQ_API_USUARIO.NEXTVAL, '123456', 'feriavirtualportafolio@gmail.com', 'productor_dos', 933223322 , null, 3, 1);
INSERT INTO USER_FERIA2.USUARIOS (ID_USUARIO, CONTRASENA, EMAIL, NOMBRE_USUARIO, TELEFONO, ID_CONTRATO, ID_PERFIL_USUARIO, ACTIVO) VALUES(SEQ_API_USUARIO.NEXTVAL, '123456', 'feriavirtualportafolio@gmail.com', 'transporte_uno', 944554455 , null, 4, 1);
INSERT INTO USER_FERIA2.USUARIOS (ID_USUARIO, CONTRASENA, EMAIL, NOMBRE_USUARIO, TELEFONO, ID_CONTRATO, ID_PERFIL_USUARIO, ACTIVO) VALUES(SEQ_API_USUARIO.NEXTVAL, '123456', 'feriavirtualportafolio@gmail.com', 'transporte_dos', 944554455 , null, 4, 1);
INSERT INTO USER_FERIA2.USUARIOS (ID_USUARIO, CONTRASENA, EMAIL, NOMBRE_USUARIO, TELEFONO, ID_CONTRATO, ID_PERFIL_USUARIO, ACTIVO) VALUES(SEQ_API_USUARIO.NEXTVAL, '123456', 'feriavirtualportafolio@gmail.com', 'consultor_uno', 951515151, null, 5, 1);
INSERT INTO USER_FERIA2.USUARIOS (ID_USUARIO, CONTRASENA, EMAIL, NOMBRE_USUARIO, TELEFONO, ID_CONTRATO, ID_PERFIL_USUARIO, ACTIVO) VALUES(SEQ_API_USUARIO.NEXTVAL, '123456', 'feriavirtualportafolio@gmail.com', 'admin', 951515151, null, 1, 1);

INSERT INTO USER_FERIA2.USUARIOS (ID_USUARIO, CONTRASENA, EMAIL, NOMBRE_USUARIO, TELEFONO, ID_CONTRATO, ID_PERFIL_USUARIO, ACTIVO) VALUES(SEQ_API_USUARIO.NEXTVAL, '123456', 'feriavirtualportafolio@gmail.com', 'comprador_dos', 951515151, null, 6, 1);
INSERT INTO USER_FERIA2.USUARIOS (ID_USUARIO, CONTRASENA, EMAIL, NOMBRE_USUARIO, TELEFONO, ID_CONTRATO, ID_PERFIL_USUARIO, ACTIVO) VALUES(SEQ_API_USUARIO.NEXTVAL, '123456', 'feriavirtualportafolio@gmail.com', 'comprador_tres', 951515151, null, 7, 1);


INSERT INTO USER_FERIA2.COMPRADORES (ID_COMPRADOR,   ID_USUARIO) VALUES(SEQ_API_COMPRADOR.nextval,  1);
INSERT INTO USER_FERIA2.COMPRADORES (ID_COMPRADOR,   ID_USUARIO) VALUES(SEQ_API_COMPRADOR.nextval,  9);
INSERT INTO USER_FERIA2.COMPRADORES (ID_COMPRADOR,   ID_USUARIO) VALUES(SEQ_API_COMPRADOR.nextval,  8);


--INSERT INTO USER_FERIA2.ESTADO_VENTAS (ID_ESTADO_VENTA, DESCRIPCION, NOMBRE) VALUES(SEQ_API_ESTADO_VENTA.NEXTVAL, '', 'Borrador');
INSERT INTO USER_FERIA2.ESTADO_VENTAS (ID_ESTADO_VENTA, DESCRIPCION, NOMBRE) VALUES(SEQ_API_ESTADO_VENTA.NEXTVAL, '', 'Publicada');
INSERT INTO USER_FERIA2.ESTADO_VENTAS (ID_ESTADO_VENTA, DESCRIPCION, NOMBRE) VALUES(SEQ_API_ESTADO_VENTA.NEXTVAL, '', 'Espera de Productores');
INSERT INTO USER_FERIA2.ESTADO_VENTAS (ID_ESTADO_VENTA, DESCRIPCION, NOMBRE) VALUES(SEQ_API_ESTADO_VENTA.NEXTVAL, '', 'Espera de Transporte');
INSERT INTO USER_FERIA2.ESTADO_VENTAS (ID_ESTADO_VENTA, DESCRIPCION, NOMBRE) VALUES(SEQ_API_ESTADO_VENTA.NEXTVAL, '', 'Eespera de  Pago');
INSERT INTO USER_FERIA2.ESTADO_VENTAS (ID_ESTADO_VENTA, DESCRIPCION, NOMBRE) VALUES(SEQ_API_ESTADO_VENTA.NEXTVAL, '', 'Esperando Entrega');
INSERT INTO USER_FERIA2.ESTADO_VENTAS (ID_ESTADO_VENTA, DESCRIPCION, NOMBRE) VALUES(SEQ_API_ESTADO_VENTA.NEXTVAL, '', 'Finalizada');


INSERT INTO USER_FERIA2.COMPRAS (ID_COMPRA, COSTO_TOTAL, FECHA_INICIO, ID_COMPRADOR, ID_ESTADO_VENTA ) VALUES(SEQ_API_VENTA.nextval, 0 , TO_DATE('2019-10-18', 'yyyy/mm/dd') , 1, 1  );
INSERT INTO USER_FERIA2.COMPRAS (ID_COMPRA, COSTO_TOTAL, FECHA_INICIO, ID_COMPRADOR, ID_ESTADO_VENTA ) VALUES(SEQ_API_VENTA.nextval, 0 , TO_DATE('2019-10-19', 'yyyy/mm/dd') , 1, 1  );
INSERT INTO USER_FERIA2.COMPRAS (ID_COMPRA, COSTO_TOTAL, FECHA_INICIO, ID_COMPRADOR, ID_ESTADO_VENTA ) VALUES(SEQ_API_VENTA.nextval, 0 , TO_DATE('2019-10-20', 'yyyy/mm/dd') , 2, 1  );
INSERT INTO USER_FERIA2.COMPRAS (ID_COMPRA, COSTO_TOTAL, FECHA_INICIO, ID_COMPRADOR, ID_ESTADO_VENTA ) VALUES(SEQ_API_VENTA.nextval, 0 , TO_DATE('2019-10-21', 'yyyy/mm/dd') , 3, 1  );


INSERT INTO USER_FERIA2.SUBASTAS (ID_SUBASTA, FECHA_INICIO ,FECHA_FIN , ID_COMPRA) VALUES(SEQ_API_SUBASTA.nextval, TO_DATE('2019-10-18', 'yyyy/mm/dd') , TO_DATE('2019-10-22', 'yyyy/mm/dd') , 1);
INSERT INTO USER_FERIA2.SUBASTAS (ID_SUBASTA, FECHA_INICIO ,FECHA_FIN , ID_COMPRA) VALUES(SEQ_API_SUBASTA.nextval, TO_DATE('2019-10-23', 'yyyy/mm/dd') , TO_DATE('2019-10-28', 'yyyy/mm/dd') , 2);
INSERT INTO USER_FERIA2.SUBASTAS (ID_SUBASTA, FECHA_INICIO ,FECHA_FIN , ID_COMPRA) VALUES(SEQ_API_SUBASTA.nextval, TO_DATE('2019-10-23', 'yyyy/mm/dd') , TO_DATE('2019-10-28', 'yyyy/mm/dd') , 3);
INSERT INTO USER_FERIA2.SUBASTAS (ID_SUBASTA, FECHA_INICIO ,FECHA_FIN , ID_COMPRA) VALUES(SEQ_API_SUBASTA.nextval, TO_DATE('2019-10-23', 'yyyy/mm/dd') , TO_DATE('2019-10-28', 'yyyy/mm/dd') , 4);

UPDATE USER_FERIA2.COMPRAS SET ID_SUBASTA = 1 WHERE ID_COMPRA = 1
UPDATE USER_FERIA2.COMPRAS SET ID_SUBASTA = 2 WHERE ID_COMPRA = 2
UPDATE USER_FERIA2.COMPRAS SET ID_SUBASTA = 3 WHERE ID_COMPRA = 3
UPDATE USER_FERIA2.COMPRAS SET ID_SUBASTA = 4 WHERE ID_COMPRA = 4


INSERT INTO USER_FERIA2.PRODUCTORES (ID_PRODUCTOR,ID_USUARIO) VALUES(SEQ_API_PRODUCTOR.NEXTVAL,2);
INSERT INTO USER_FERIA2.PRODUCTORES (ID_PRODUCTOR,ID_USUARIO) VALUES(SEQ_API_PRODUCTOR.NEXTVAL,3);

INSERT INTO USER_FERIA2.REGISTRO_VENTAS (ID_REGISTRO_VENTA, CANTIDAD, ID_PRODUCTO, ID_COMPRA) VALUES(SEQ_API_REGVENTA.nextval, 10, 1, 1);
INSERT INTO USER_FERIA2.REGISTRO_VENTAS (ID_REGISTRO_VENTA, CANTIDAD, ID_PRODUCTO, ID_COMPRA) VALUES(SEQ_API_REGVENTA.nextval, 22, 2, 1);
INSERT INTO USER_FERIA2.REGISTRO_VENTAS (ID_REGISTRO_VENTA, CANTIDAD, ID_PRODUCTO, ID_COMPRA) VALUES(SEQ_API_REGVENTA.nextval, 31, 3, 1);
INSERT INTO USER_FERIA2.REGISTRO_VENTAS (ID_REGISTRO_VENTA, CANTIDAD, ID_PRODUCTO, ID_COMPRA) VALUES(SEQ_API_REGVENTA.nextval, 42, 4, 1);

INSERT INTO USER_FERIA2.REGISTRO_VENTAS (ID_REGISTRO_VENTA, CANTIDAD,  ID_PRODUCTO, ID_COMPRA) VALUES(SEQ_API_REGVENTA.nextval, 10, 1, 2);
INSERT INTO USER_FERIA2.REGISTRO_VENTAS (ID_REGISTRO_VENTA, CANTIDAD, ID_PRODUCTO, ID_COMPRA) VALUES(SEQ_API_REGVENTA.nextval, 22, 2, 2);

INSERT INTO USER_FERIA2.REGISTRO_VENTAS (ID_REGISTRO_VENTA, CANTIDAD,  ID_PRODUCTO, ID_COMPRA) VALUES(SEQ_API_REGVENTA.nextval, 10, 5, 3);
INSERT INTO USER_FERIA2.REGISTRO_VENTAS (ID_REGISTRO_VENTA, CANTIDAD, ID_PRODUCTO, ID_COMPRA) VALUES(SEQ_API_REGVENTA.nextval, 22, 6, 3);

INSERT INTO USER_FERIA2.REGISTRO_VENTAS (ID_REGISTRO_VENTA, CANTIDAD,  ID_PRODUCTO, ID_COMPRA) VALUES(SEQ_API_REGVENTA.nextval, 200, 4, 4);
INSERT INTO USER_FERIA2.REGISTRO_VENTAS (ID_REGISTRO_VENTA, CANTIDAD, ID_PRODUCTO, ID_COMPRA) VALUES(SEQ_API_REGVENTA.nextval, 300, 5, 4);
 

INSERT INTO USER_FERIA2.REGISTRO_VENTA_PRODUCTORES (ID_REGISTRO_VENTA_PRODUCTOR, ID_PRODUCTOR, ID_REGISTRO_VENTA, CANTIDAD, PRECIO) VALUES(SEQ_API_REGVENPRODTES.NEXTVAL, 1, 1, 20, 500);
INSERT INTO USER_FERIA2.REGISTRO_VENTA_PRODUCTORES (ID_REGISTRO_VENTA_PRODUCTOR, ID_PRODUCTOR, ID_REGISTRO_VENTA, CANTIDAD, PRECIO) VALUES(SEQ_API_REGVENPRODTES.NEXTVAL, 1, 2, 25, 1000);
INSERT INTO USER_FERIA2.REGISTRO_VENTA_PRODUCTORES (ID_REGISTRO_VENTA_PRODUCTOR, ID_PRODUCTOR, ID_REGISTRO_VENTA, CANTIDAD, PRECIO) VALUES(SEQ_API_REGVENPRODTES.NEXTVAL, 1, 3, 33, 1500);



INSERT INTO USER_FERIA2.TRANSPORTES (ID_TRANSPORTE, CAPACIDAD, PRECIO, REGRIGERACION, TAMANO) VALUES(SEQ_API_TRANSPORTE.NEXTVAL, 1000, 150000, 1, 400)
INSERT INTO USER_FERIA2.TRANSPORTES (ID_TRANSPORTE, CAPACIDAD, PRECIO, REGRIGERACION, TAMANO) VALUES(SEQ_API_TRANSPORTE.NEXTVAL, 800, 50000, 1, 250)
INSERT INTO USER_FERIA2.TRANSPORTES (ID_TRANSPORTE, CAPACIDAD, PRECIO, REGRIGERACION, TAMANO) VALUES(SEQ_API_TRANSPORTE.NEXTVAL, 1500, 250000, 0, 800)
INSERT INTO USER_FERIA2.TRANSPORTES (ID_TRANSPORTE, CAPACIDAD, PRECIO, REGRIGERACION, TAMANO) VALUES(SEQ_API_TRANSPORTE.NEXTVAL, 2000, 350000, 0, 1000);

INSERT INTO USER_FERIA2.TRANSPORTISTAS (ID_TRANSPORTISTA, ID_TRANSPORTE, ID_USUARIO) VALUES(SEQ_API_TRANSPORTISTA.NEXTVAL, 1, 4);
INSERT INTO USER_FERIA2.TRANSPORTISTAS (ID_TRANSPORTISTA, ID_TRANSPORTE, ID_USUARIO) VALUES(SEQ_API_TRANSPORTISTA.NEXTVAL, 2, 5);
 
INSERT INTO USER_FERIA2.REGISTRO_SUBASTAS (ID_REGISTRO_SUBASTA, FECHA_REGISTRO, ID_SUBASTA, ID_TRANSPORTE) VALUES(SEQ_API_REG_SUBASTA.nextval, TO_DATE (SYSDATE) , 1, 1);
INSERT INTO USER_FERIA2.REGISTRO_SUBASTAS (ID_REGISTRO_SUBASTA, FECHA_REGISTRO, ID_SUBASTA, ID_TRANSPORTE) VALUES(SEQ_API_REG_SUBASTA.nextval, TO_DATE (SYSDATE) , 1, 2);
INSERT INTO USER_FERIA2.REGISTRO_SUBASTAS (ID_REGISTRO_SUBASTA, FECHA_REGISTRO, ID_SUBASTA, ID_TRANSPORTE) VALUES(SEQ_API_REG_SUBASTA.nextval, TO_DATE (SYSDATE) , 2, 1);
INSERT INTO USER_FERIA2.REGISTRO_SUBASTAS (ID_REGISTRO_SUBASTA, FECHA_REGISTRO, ID_SUBASTA, ID_TRANSPORTE) VALUES(SEQ_API_REG_SUBASTA.nextval, TO_DATE (SYSDATE) , 2, 2);


-- INSERT INTO USER_FERIA2.PAGOS (ID_PAGO, FECHA_REGISTRO, MONTO, ID_USUARIO) VALUES(SEQ_API_PAGO.nextval, TO_DATE (SYSDATE, 'yyyy/mm/dd'), 350000, 1);
-- INSERT INTO USER_FERIA2.PAGOS (ID_PAGO, FECHA_REGISTRO, MONTO, ID_USUARIO) VALUES(SEQ_API_PAGO.nextval, TO_DATE (SYSDATE, 'yyyy/mm/dd'), 200000, 2);
-- INSERT INTO USER_FERIA2.PAGOS (ID_PAGO, FECHA_REGISTRO, MONTO, ID_USUARIO) VALUES(SEQ_API_PAGO.nextval, TO_DATE (SYSDATE, 'yyyy/mm/dd'), 500000, 3);

INSERT INTO USER_FERIA2.CONTRATOS (ID_CONTRATO, DESCRIPCION, FECHA_INICIO, FECHA_TERMINO, NOMBRE) VALUES(SEQ_API_CONTRATO.nextval, 'contrato inicioal',  TO_DATE('2019-10-22', 'yyyy/mm/dd'),  TO_DATE('2019-10-23', 'yyyy/mm/dd'), 'INICIO');
INSERT INTO USER_FERIA2.CONTRATOS (ID_CONTRATO, DESCRIPCION, FECHA_INICIO, FECHA_TERMINO, NOMBRE) VALUES(SEQ_API_CONTRATO.nextval, 'contrato inicioal',  TO_DATE('2019-10-22', 'yyyy/mm/dd'),  TO_DATE('2019-10-23', 'yyyy/mm/dd'), 'INICIO');


